# © 2021 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import http
from odoo.http import request


class BannerScopInvoiceIDFController(http.Controller):
    @http.route(["/cgscop_invoice_idf/header"], type="json", auth="user")
    def scop_invoice_idf_header(self):
        return {
            "html": request.env.ref("cgscop_invoice_idf.header_template")._render({})
        }

    @http.route(["/cgscop_cotisation_idf/header"], type="json", auth="user")
    def scop_cotisation_idf_header(self):
        return {
            "html": request.env.ref(
                "cgscop_invoice_idf.header_template_cotisations"
            )._render({})
        }
